BasicTableUI.KeyHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTableUI.KeyHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTableUI.KeyHandler

All Implemented Interfaces:
  EventListener, KeyListener

Enclosing class:
  BasicTableUI

public class BasicTableUI.KeyHandler
extends Object
implements KeyListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTableUI.

As of Java 2 platform v1.3 this class is no longer used. Instead `JTable` overrides `processKeyBinding` to dispatch the event to the current `TableCellEditor`.

Constructor Summary
`BasicTableUI.KeyHandler()`

Method Summary
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(KeyEvent e)` Invoked when a key has been typed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTableUI.KeyHandler

    public BasicTableUI.KeyHandler()

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Description copied from interface: `KeyListener`
  Invoked when a key has been pressed. See the class description for `KeyEvent` for a definition of a key pressed event.

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Description copied from interface: `KeyListener`
  Invoked when a key has been released. See the class description for `KeyEvent` for a definition of a key released event.

  Specified by:
    `keyReleased` in interface `KeyListener`

### keyTyped

    public void keyTyped(KeyEvent e)

  Description copied from interface: `KeyListener`
  Invoked when a key has been typed. See the class description for `KeyEvent` for a definition of a key typed event.

  Specified by:
    `keyTyped` in interface `KeyListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.